<h1>Reports</h1>

<mat-tab-group mat-align-tabs="start">
  <mat-tab label="Summary">

    <!--Summary report starts -->
    <form class="example-form">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Site Name</mat-label>
        <input type="text"
              placeholder="Pick one"
              aria-label="Number"
              matInput
              [formControl]="myControl"
              [matAutocomplete]="auto">
        <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
          <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
            {{option}}
          </mat-option>
        </mat-autocomplete>
      </mat-form-field>
    </form>

    <mat-form-field appearance="fill">
      <mat-label>Enter a date range</mat-label>
      <mat-date-range-input [rangePicker]="picker">
        <input matStartDate placeholder="Start date">
        <input matEndDate placeholder="End date">
      </mat-date-range-input>
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-date-range-picker #picker></mat-date-range-picker>
    </mat-form-field>

    <table mat-table [dataSource]="summarydataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="sites">
        <th mat-header-cell *matHeaderCellDef> Sites </th>
        <td mat-cell *matCellDef="let element"> {{element.sites}} </td>
      </ng-container>

      <ng-container matColumnDef="scantime">
        <th mat-header-cell *matHeaderCellDef> Scan Time </th>
        <td mat-cell *matCellDef="let element"> {{element.scantime}} </td>
      </ng-container>

      <ng-container matColumnDef="image">
        <th mat-header-cell *matHeaderCellDef> Image </th>
        <td mat-cell *matCellDef="let element"> 
          <img src='{{element.image}}' alt="Guard's capture during check point entry" width="100" height="100"/> 
        </td>
      </ng-container>

      <ng-container matColumnDef="guardname">
        <th mat-header-cell *matHeaderCellDef> Guard Name </th>
        <td mat-cell *matCellDef="let element"> {{element.guardname}} </td>
      </ng-container>

      <ng-container matColumnDef="comments">
        <th mat-header-cell *matHeaderCellDef> Guard Comments </th>
        <td mat-cell *matCellDef="let element"> {{element.comments}} </td>
      </ng-container>

      <ng-container matColumnDef="guardcaptured">
        <th mat-header-cell *matHeaderCellDef> Guard's upload </th>
        <td mat-cell *matCellDef="let element"> 
          <img src='{{element.guardcaptured}}' alt="No uploads" width="100" height="100"/> 
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <!--Summary report ends -->
  </mat-tab>
  <mat-tab label="Automatic Report">


    <!--Automated report starts-->
    <mat-divider></mat-divider>
<section style="margin: 20px;float: right;">
  <button mat-raised-button (click)="openDialog()">Add Report</button>
</section>
<mat-divider></mat-divider>

    <table mat-table [dataSource]="automaticdataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="sitename">
        <th mat-header-cell *matHeaderCellDef> Site Name</th>
        <td mat-cell *matCellDef="let element"> {{element.sitename}} </td>
      </ng-container>

      <ng-container matColumnDef="emailids">
        <th mat-header-cell *matHeaderCellDef> EMail IDs </th>
        <td mat-cell *matCellDef="let element"> {{element.emailids}} </td>
      </ng-container>

      <ng-container matColumnDef="frequency">
        <th mat-header-cell *matHeaderCellDef> Frequency </th>
        <td mat-cell *matCellDef="let element"> {{element.frequency}} </td>
      </ng-container>

      <ng-container matColumnDef="condition">
        <th mat-header-cell *matHeaderCellDef> Condition </th>
        <td mat-cell *matCellDef="let element"> {{element.condition}} </td>
      </ng-container>

      <ng-container matColumnDef="once">
        <th mat-header-cell *matHeaderCellDef> Condition </th>
        <td mat-cell *matCellDef="let element"> {{element.once}} </td>
      </ng-container>

      <ng-container matColumnDef="actions">
        <th mat-header-cell  *matHeaderCellDef > Actions </th>
        <td mat-cell *matCellDef="let row" >
          <table>
            <tr>
              <td>
                <div mat-raised-button>
                  <mat-icon mat-raised-button  (click)="edit()">edit</mat-icon>
                </div>
              </td>
              <td>
                <mat-icon mat-raised-button  (click)="delete()">delete</mat-icon>
              </td>
            </tr>
          </table>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumnsAutomatic"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumnsAutomatic;"></tr>
    </table>
    <!--Automated report ends -->

  </mat-tab>
  <mat-tab label="Idle Report" disabled>Idle Report coming...

  </mat-tab>
</mat-tab-group>

